## iwlwifi-intel3165-dkms 1.4

=== iwlwifi-intel3165/Makefile ===
#
# Makefile for the output source package
#

ifeq ($(KERNELRELEASE),)

MAKEFLAGS += --no-print-directory
SHELL := /bin/bash
BACKPORT_DIR := $(shell pwd)

KLIB := /lib/modules/${KVER}/

KMODDIR ?= updates
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG := "INSTALL_MOD_PATH=$(KLIB)"
else
KLIB := /lib/modules/$(shell uname -r)/
KMODPATH_ARG :=
endif
KLIB_BUILD ?= $(KLIB)/build/
KERNEL_CONFIG := $(KLIB_BUILD)/.config
KERNEL_MAKEFILE := $(KLIB_BUILD)/Makefile
CONFIG_MD5 := $(shell md5sum $(KERNEL_CONFIG) 2>/dev/null | sed 's/\s.*//')

export KLIB KLIB_BUILD BACKPORT_DIR KMODDIR KMODPATH_ARG

# disable built-in rules for this file
.SUFFIXES:

.PHONY: default
default:
	@$(MAKE) modules

.PHONY: mrproper
mrproper:
	@test -f .config && $(MAKE) clean || true
	@rm -f .config
	@rm -f .kernel_config_md5 Kconfig.versions Kconfig.kernel
	@rm -f backport-include/backport/autoconf.h

.DEFAULT:
	@set -e ; test -f .local-symbols || (						\
	echo "/--------------"								;\
	echo "| You shouldn't run make in the backports tree, but only in"		;\
	echo "| the generated output. This here is only the skeleton code"		;\
	echo "| copied into the output directory. To use the backport system"		;\
	echo "| from scratch, go into the top-level directory and run"			;\
	echo "|	./gentree.py /path/to/linux-next/ /tmp/output"				;\
	echo "| and then make menuconfig/... in the output directory. See"		;\
	echo "|	./gentree.py --help"							;\
	echo "| for more options."							;\
	echo "\\--"									;\
	false)
	@set -e ; test -f $(KERNEL_CONFIG) || (						\
	echo "/--------------"								;\
	echo "| Your kernel headers are incomplete/not installed."			;\
	echo "| Please install kernel headers, including a .config"			;\
	echo "| file or use the KLIB/KLIB_BUILD make variables to"			;\
	echo "| set the kernel to build against, e.g."					;\
	echo "|   make KLIB=/lib/modules/3.1.7/"					;\
	echo "| to compile/install for the installed kernel 3.1.7"			;\
	echo "| (that isn't currently running.)"					;\
	echo "\\--"									;\
	false)
	@set -e ; if [ "$$(cat .kernel_config_md5 2>/dev/null)" != "$(CONFIG_MD5)" ]	;\
	then 										\
		echo -n "Generating local configuration database from kernel ..."	;\
		grep -v -f .local-symbols $(KERNEL_CONFIG) | grep = | (			\
			while read l ; do						\
				if [ "$${l:0:7}" != "CONFIG_" ] ; then			\
					continue					;\
				fi							;\
				l=$${l:7}						;\
				n=$${l%%=*}						;\
				v=$${l#*=}						;\
				if [ "$$v" = "m" ] ; then				\
					echo config $$n					;\
					echo '    tristate' 				;\
				elif [ "$$v" = "y" ] ; then				\
					echo config $$n					;\
					echo '    bool'					;\
				else							\
					continue					;\
				fi							;\
				echo "    default $$v"					;\
				echo ""							;\
			done								\
		) > Kconfig.kernel							;\
		kver=$$($(MAKE) --no-print-directory -C $(KLIB_BUILD) kernelversion |	\
			sed 's/^\(\([3-4]\|2\.6\)\.[0-9]\+\).*/\1/;t;d')		;\
		test "$$kver" != "" || echo "Kernel version parse failed!"		;\
		test "$$kver" != ""							;\
		kvers="$$(seq 14 39 | sed 's/^/2.6./')"					;\
		kvers="$$kvers $$(seq 0 19 | sed 's/^/3./')"				;\
		kvers="$$kvers $$(seq 0 99 | sed 's/^/4./')"				;\
		print=0									;\
		for v in $$kvers ; do							\
			if [ "$$print" = "1" ] ; then					\
				echo config KERNEL_$$(echo $$v | tr . _)	;\
				echo "    def_bool y"					;\
			fi								;\
			if [ "$$v" = "$$kver" ] ; then print=1 ; fi			;\
		done > Kconfig.versions							;\
		# RHEL as well, sadly we need to grep for it				;\
		RHEL_MAJOR=$$(grep '^RHEL_MAJOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		RHEL_MINOR=$$(grep '^RHEL_MINOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		for v in $$(seq 0 $$RHEL_MINOR) ; do 					\
			echo config BACKPORT_RHEL_KERNEL_$${RHEL_MAJOR}_$$v		;\
			echo "    def_bool y"						;\
		done >> Kconfig.versions						;\
		echo " done."								;\
	fi										;\
	echo "$(CONFIG_MD5)" > .kernel_config_md5
	@$(MAKE) -f Makefile.real "$@"

.PHONY: defconfig-help
defconfig-help:
	@echo "Driver or subsystem configuration targets:"
	@set -e						;\
		bk_configs="$$(ls defconfigs/*)" 	;\
		for cfg in $$bk_configs; do		\
			echo "  defconfig-$${cfg##defconfigs/}"	;\
		done
	@echo ""

.PHONY: help
help: defconfig-help
	@echo "Cleaning targets:"
	@echo "  clean           - Remove most generated files but keep the config and"
	@echo "                    enough build support to build external modules"
	@echo "  mrproper        - Remove all generated files + config + various backup files"
	@echo ""
	@echo "Driver configuration help:"
	@echo "  defconfig-help  - List all prearranged defconfig-targets we have"
	@echo "                    designed for you. You can use this to find"
	@echo "                    driver specific configs in case all you really"
	@echo "                    need is to just compile one or a small group "
	@echo "                    of drivers."
	@echo ""
	@echo "Configuration targets:"
	@echo "  menuconfig      - Update current config utilising a menu based program"
	@echo "  oldconfig       - Update current config utilising a provided .config as base"
	@echo "  oldaskconfig    - ??"
	@echo "  silentoldconfig - Same as oldconfig, but quietly, additionally update deps"
	@echo "  allnoconfig     - New config where all options are answered with no"
	@echo "  allyesconfig    - New config where all options are accepted with yes"
	@echo "  allmodconfig    - New config selecting modules when possible"
	@echo "  alldefconfig    - New config with all symbols set to default"
	@echo "  randconfig      - New config with random answer to all options"
	@echo "  listnewconfig   - List new options"
	@echo "  olddefconfig    - Same as silentoldconfig but sets new symbols to their default value"
	@echo ""
	@echo "Other generic targets:"
	@echo "  all             - Build all targets marked with [*]"
	@echo "* modules         - Build all modules"
	@echo ""
	@echo "Architecture specific targets:"
	@echo "  install         - Install modules"
	@echo "  uninstall       - Uninstall modules"
	@echo ""
	@echo "Execute "make" or "make all" to build all targets marked with [*]"
else
include $(BACKPORT_DIR)/Makefile.kernel
endif

## iwlwifi-intel3165-dkms 1.3

=== debian/changelog ===
iwlwifi-intel3165-dkms (1.3) trusty; urgency=medium

  * Fix makefile to specify the right kernel version.
    (LP: #1495370)

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 17 Sep 2015 17:23:14 +0800

iwlwifi-intel3165-dkms (1.2) trusty; urgency=medium

  * Remove all modaliases but 3165.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Wed, 01 Jul 2015 15:57:12 +0800

iwlwifi-intel3165-dkms (1.1) trusty; urgency=medium

  * Update to backports-20150525.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Tue, 02 Jun 2015 17:00:22 +0800

iwlwifi-intel3165-dkms (1.0) trusty; urgency=low

  * Automatically packaged by DKMS.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Tue, 12 May 2015 11:12:43 +0800

=== debian/control ===
Source: iwlwifi-intel3165-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: iwlwifi-intel3165-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: iwlwifi-intel3165 driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=iwlwifi-intel3165
NAME=iwlwifi-intel3165
VERSION=1.3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## iwlwifi-intel3165-dkms 1.4

=== debian/changelog ===
iwlwifi-intel3165-dkms (1.4) trusty; urgency=medium

  * Add kernel dependency to for install newer kernel for i2c driver
    (LP: #1464634)

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 24 Dec 2015 17:36:39 +0800

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 Package: iwlwifi-intel3165-dkms
 Architecture: all
-Depends: dkms (>= 1.95), ${misc:Depends}
+Depends: dkms (>= 1.95),
+         linux-generic-lts-vivid (>= 3.19.0.30.0) | linux-generic (>= 3.19.0.30.0), 
+         linux-headers-generic-lts-vivid (>= 3.19.0.30.0) | linux-headers-generic (>= 3.19.0.30.0), 
+         ${misc:Depends}
 Description: iwlwifi-intel3165 driver in DKMS format.
 XB-Modaliases: ${modaliases}

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=iwlwifi-intel3165
 NAME=iwlwifi-intel3165
-VERSION=1.3
+VERSION=1.4
 
 configure: configure-stamp
 configure-stamp:

## iwlwifi-intel3165-dkms 1.8

=== debian/changelog ===
iwlwifi-intel3165-dkms (1.8) trusty; urgency=medium

  * Bump version (LP: #1653211)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Tue, 03 Jan 2017 13:19:31 +0800

iwlwifi-intel3165-dkms (1.6) trusty; urgency=medium

  * Bump version

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 25 Nov 2016 14:57:11 +0800

iwlwifi-intel3165-dkms (1.5) trusty; urgency=medium

  * Add BUILD_EXCLUSIVE_KERNEL to dkms.conf (LP: #1613931)
    Some APIs are deprecated in the newer kernel.
  * Check if network controller is intel 3165 before installing DKMS drvier
    (LP: #1626920)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 10 Nov 2016 09:43:32 +0800

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=iwlwifi-intel3165
 NAME=iwlwifi-intel3165
-VERSION=1.4
+VERSION=1.8
 
 configure: configure-stamp
 configure-stamp:
